#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	lxqt-powermanagement
Version		:	1.3.0
Release		:	16.2.0.rel%{?dist}
Summary		:	Powemanagement tools for LXQt desktop suite
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	http://lxqt.org/


Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	liblxqt
BuildRequires	:	kidletime
BuildRequires	:	lxqt-build-tools
BuildRequires	:	solid
#-----------------------------------------------------------------------------
%description
'%{name}' is providing tools to monitor power management events
and optionally trigger actions like e. g. shut down a system when
laptop batteries are low on power.

The core components are two binaries `%{name}` and
`lxqt-config-powermanagement`.   

`%{name}` is running in a daemon-like manner as so-called
"LXQt Module" and doing the actual work. GUI "Power Management
Settings (binary `lxqt-config-powermanagement`) is used to
customize settings.

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build

cmake								\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}			\
	-DCMAKE_BUILD_TYPE=Release				\
	-DPULL_TRANSLATIONS=no					\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)

%doc AUTHORS README.md
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/lxqt-config-powermanagement
%{_bindir}/%{name}
%{_datadir}/applications/lxqt-config-powermanagement.desktop
%{_datadir}/icons/hicolor/scalable/devices/*.svg
%{_datadir}/lxqt/translations/%{name}/%{name}_*.qm
%{_datadir}/lxqt/translations/lxqt-config-powermanagement/lxqt-config-powermanagement_*.qm

#-----------------------------------------------------------------------------
%changelog
